Bug 890734 - client denied by server configuration: /usr/share/rt3/html
client denied by server configuration: /usr/share/rt3/html
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rt3 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871373
  Show dependency treegraph
 
Reported: 2012-12-29 05:53 EST by Ralf Corsepius
Modified: 2013-01-11 20:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:03:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2012-12-29 05:53:54 EST
Description of problem:

Apache-2.4's breaks authentication in /etc/httpd/conf.d/rt3.conf

Symptoms:

* Error messages similar to this in /var/log/httpd/error_log:
[Sat Dec 29 07:40:47.542895 2012] [authz_core:error] [pid 2143] [client 192.168.1.104:46910] AH01630: client denied by server configuration: /usr/share/rt3/html
* Error messages in rt3's Web GUI.

Version-Release number of selected component (if applicable):
All RH/Fedora versions with Apache-2.4 (currently F18 and rawhide).

How reproducible:
Always.
Comment 1 Ralf Corsepius 2012-12-29 05:55:00 EST
I am going to apply this patch:

diff --git a/rt3.conf.in b/rt3.conf.in
index 27a4600..a6f0129 100644
--- a/rt3.conf.in
+++ b/rt3.conf.in
@@ -3,8 +3,15 @@ Alias /rt3 "@RT3_WWWDIR@"
 PerlRequire @RT3_BINDIR@/webmux.pl
 
 <Directory "@RT3_WWWDIR@">
-  AllowOverride All
   Options ExecCGI FollowSymLinks
+  <IfModule mod_authz_core.c>
+    # Apache 2.4
+    Require all granted
+  </IfModule>
+  <IfModule !mod_authz_core.c>
+    # Apache 2.2
+    AllowOverride All
+  </IfModule>
 
   RewriteEngine On
   RedirectMatch permanent (.*)/$ $1/index.html
Comment 2 Fedora Update System 2012-12-29 13:32:00 EST
rt3-3.8.15-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rt3-3.8.15-3.fc18
Comment 3 Fedora Update System 2012-12-30 15:12:18 EST
Package rt3-3.8.15-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rt3-3.8.15-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-21093/rt3-3.8.15-3.fc18
then log in and leave karma (feedback).
Comment 4 Remi Collet 2013-01-07 10:33:12 EST
Reading the patch.

"AllowOverride All", if needed, is valid in httpd 2.2 / 2.4
(so, should be kept outside the condition)

To allow all access in httpd 2.2, should use the allow from all
(which means that current f17 configuration was not ok, as I don"t think default access for / have changed)
Comment 5 Fedora Update System 2013-01-11 20:03:28 EST
rt3-3.8.15-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.